API referenceStatus pages
List a status page's resources
The monitors this status page shows, in display order — including the resource ids you detach with. Monitor-GROUP rows created in the dashboard are not listed here; this surface manages monitor rows only.
Authorization
bearerAuth AuthorizationBearer <token>
An uptimely_live_ project API key (Settings → API Keys).
In: header
Path Parameters
status_page_id*string
Status page id.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidQuery Parameters
limit?integer
Maximum number of items to return (1-100).
Range
1 <= value <= 100Default
25after?string
Opaque cursor from a previous page's next_cursor — omit for the first page. Reusing a cursor with DIFFERENT query parameters (e.g. a different limit) answers 400 validation_failed.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/status-pages/497f6eca-6276-4993-bfeb-53cbbbba6f08/resources"{ "data": [ { "id": "string", "monitor": { "id": "string", "name": "string" }, "display_name": "string", "display_description": "string", "show_uptime_percent": true, "order": -9007199254740991, "created_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string"}